@import url("normalize.css");


/* Fonts */

@font-face {
  font-display: swap;
  font-family: "BarlegalSerif";
  src: url("/assets/fonts/NiceMicro-RegularWeb.woff2") format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "BarlegalSerif";
  font-style: italic;
  src: url("/assets/fonts/NiceMicro-ItalicWeb.woff2") format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "BarlegalSerif";
  font-weight: bold;
  src: url("/assets/fonts/NiceMicro-BlackWeb.woff2") format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "BarlegalSans";
  font-weight: 200 900;
  font-style: normal;
  src: url("/assets/fonts/SourceSans3VF-Upright.otf.woff2") format('woff2-variations');
}

@font-face {
  font-display: swap;
  font-family: "BarlegalSans";
  font-weight: 200 900;
  font-style: italic;
  src: url("/assets/fonts/SourceSans3VF-Italic.otf.woff2") format('woff2-variations');
}

/* Colors */

:root {
  --text-primary: #15616D;
  --text-secondary: #15616D75;

  --accent: #6A1562;
  --accent-transparent: #6A156275;

  --background: #C9DBD5;
  --overlay-thin: #15616D08;
  --overlay-thick: #15616D15;
}

html {
  font-family: "BarlegalSans";
  font-weight: 500;
  font-size: 1.25rem;
  line-height: 1.5;

  scroll-behavior: smooth;

  color: var(--text-primary);
  background: var(--background);
}

body {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

main {
  width: 100%;
  flex: 1;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
}

::selection {
  background-color: var(--accent);
  color: var(--background);
}

h1, h2, h3 {
  font-family: "BarlegalSerif";
  font-size: 2.5rem;
  font-weight: bold;
  line-height: 1.2;
  letter-spacing: 0.01em;
  color: var(--accent);
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 1.75rem;
}

h3 {
  font-size: 1.25rem;
  line-height: 1.3;
}

@media (max-width: 600px) {
  h1 {
    font-size: 2rem;
  }
  h2 {
    font-size: 1.5rem;
  }
}
@media (max-width: 400px) {
  h1 {
    font-size: 1.75rem;
  }
}

a {
  color: currentColor;
  text-decoration: none;
}

button {
  font: inherit;
  background: none;
  border: 0;
  color: currentColor;
  cursor: pointer;

  height: 2rem;
  border-radius: 0.5rem;
  border: 1px solid var(--text-primary);
  background-color: var(--overlay-thin);
  box-shadow: 3px 3px 8px 0px #15616D40;
  transition: color 0.4s ease-out;
}
button:hover {
  background-color: var(--text-primary);
  transition: none;
}
button:hover * {
  color: var(--background) !important;
}
button:active {
  box-shadow: -3px -3px 8px 0px #15616D40 !important;
}
button a {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 1rem;
  gap: 0.5rem;
}
button * {
  text-decoration: none !important;
}

.tags ul,
.list ul {
  display: flex;
  gap: 1rem;
  color: var(--accent);
  padding: 1.75rem 1.5rem;
  background-color: var(--overlay-thick);
  border-radius: 0.5rem;
  margin: 2rem 0;
}

@media (max-width: 900px) {
  .tags ul,
  .list ul {
    width: 100vw;
    padding: 1.75rem 2rem;
    border-radius: 0;
    margin-left: -2rem;
  }
}

.tags ul {
  flex-wrap: wrap;
}

.list ul {
  flex-direction: column;
}

.tags ul li,
.list ul li {
  padding: 0.5rem 1rem;
  border-radius: 1.375rem;
  border: 1px solid var(--accent-transparent);
}

.tags ul li::before,
.list ul li::before {
  content: none;
}


/* Article */

article {
  max-width: 44rem;
  margin: -4rem auto 0 auto;
}

@media (max-width: 1000px) {
  article {
    width: calc(100% - 4rem);
  }
}

article h1 {
  padding-top: 6rem;
  margin-bottom: 1rem;
}
article h1::before {
  content: "→";
  margin-left: -4.5rem;
  margin-right: 2rem;
  font-family: "BarlegalSerif";
  font-size: 2.5rem;
  font-weight: bold;
  font-style: italic;
  line-height: 1.1;
  font-size: 2.5rem;
  color: var(--accent);
  opacity: 0.5;
}
article.footer-page h1::before {
  content: "→";
  opacity: 0;
}

article h2 {
  padding-top: 3rem;
  margin-bottom: 1rem;
}

article h3 {
  padding-top: 2rem;
  margin-bottom: 1rem;
}

@media (max-width: 500px) {
  article h1 {
    padding-top: 2rem;
  }
  article h2 {
    padding-top: 2rem;
  }
  article h3 {
    padding-top: 1rem;
  }
}

article p {
  margin-bottom: 1rem;
  width: 100%;
}

article a {
  color: currentColor;
  text-decoration: underline;
  text-decoration-color: var(--accent-transparent);
  text-decoration-thickness: 2px;
  text-underline-offset: 3px;
  transition: color 0.4s ease-out;
}
article a:hover {
  color: var(--accent);
  text-decoration: underline;
  text-decoration-color: var(--accent);
  text-decoration-thickness: 1.5px;
  text-underline-offset: 3px;
  transition: none;
}

article ul li {
  display: flex;
}
article ul li::before {
  content: "—";
  margin-right: 0.5rem;
}


/* Landing Page */

.landing-page {
  width: 44rem;
  height: calc(60vh - 3rem);
  padding: 3rem 0 0 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.25rem;
}

@media (max-height: 885px) {
  .landing-page {
    height: calc(70vh - 3rem);
  }
}

@media (max-width: 1000px) {
  .landing-page {
    width: calc(100% - 4rem);
  }
}

.landing-page--logo {
  flex-shrink: 0;
  color: var(--accent);
}

@media (max-width: 420px) {
  .landing-page--logo {
    width: 100%;
  }
}

.landing-page--subline,
.landing-page--keyword {
  font-family: "BarlegalSerif";
  font-style: italic;
  font-size: 1.5rem;
  padding-right: 12rem;
}

.landing-page--subline {
  margin-bottom: 1rem;
}

@media (max-width: 850px) {
  .landing-page--subline,
  .landing-page--keyword {
    padding-right: 0;
  }
}

@media (max-width: 600px) {
  .landing-page--subline,
  .landing-page--keyword {
    font-family: "BarlegalSerif";
    font-style: italic;
    font-size: 1.1rem;
  }
}

.landing-page--subline {
  flex: 1;
}

.landing-page--keyword {
  display: flex;
  align-items: center;
  gap: 1rem;
  /* position: relative; */
  /* padding-left: 2.25rem; */
}

/* .landing-page--keyword::before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1.5rem;
  height: 1.5rem;
  background-color: var(--overlay-thin);
  border: 1px solid var(--text-primary);
  border-radius: 50%;
}
.landing-page--keyword::after {
  content: '';
  position: absolute;
  left: 0.375rem;
  top: 50%;
  transform: translateY(-50%);
  width: 0.75rem;
  height: 0.75rem;
  background-color: var(--text-primary);
  border-radius: 50%;
} */

.landing-page--keyword svg {
  border-radius: 1rem;
  box-shadow: inset 0 0 0 1px var(--text-primary);
  background-color: var(--overlay-thin);
}

.landing-page--image {
  position: relative;
  width: 100vw;
  height: 40vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  margin-bottom: 6rem;
}
.landing-page--image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  padding-top: 1px;
  filter: brightness(90%);
}

@media (max-height: 885px) {
  .landing-page--image {
    height: 30vh;
  }
}

.landing-page--image .edge {
  position: absolute;
  width: 100vw;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  top: 0;
  color: var(--background);
  z-index: 100;
}

.landing-page--image figcaption {
  position: absolute;
  bottom: -1.5rem;
  right: 2rem;
  font-size: 0.75rem;
  color: var(--text-secondary);
}

.languages {
  display: flex;
  flex-direction: row;
  border-radius: 0.5rem;
  border: 1px solid var(--text-secondary);

  margin-bottom: 1rem;
}

.languages a {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 2rem;
  width: 2rem;
  border-radius: 0.5rem;
  border: 1px solid transparent;
  margin: -1px;
  color: var(--text-secondary);

  font-variant: small-caps;
  letter-spacing: 0.04em;
  text-align: center;
}

/* .languages a:hover,
.languages a.active:hover {
  color: var(--background);
  border: 1px solid var(--text-primary);
  background-color: var(--text-primary);
  box-shadow: 3px 3px 8px 0px rgba(0, 0, 0, 0.25);
} */

.languages a.active {
  color: var(--text-primary);
  border: 1px solid var(--text-primary);
  background-color: var(--overlay-thin);
  box-shadow: 3px 3px 8px 0px #15616D40;
}

.landing-page > .languages {
  display: none;
}

.button-stack {
  position: absolute;
  top: 3rem;
  right: 6rem;
  height: calc(60vh - 6rem);

  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 1rem;
}

.button-stack span {
  flex-grow: 1;
  display: flex;
  align-items: flex-end;
  stroke-width: 2px;
}
.button-stack span:hover {
  stroke-width: 3px;
}

@media (max-width: 1000px) {
  .button-stack {
    right: 3rem;
  }
}
@media (max-width: 850px) {
  .landing-page > .languages {
    display: flex;
  }
  .button-stack .languages,
  .button-stack button {
    display: none;
  }
}
@media (max-width: 850px) {
  .button-stack {
    width: 100vw;
    height: auto;
    top: 65vh;
    right: 0;
    z-index: 100;
    align-items: center;
  }
  .button-stack span {
    background-color: var(--background);
    padding: 0.6rem 1rem;
    border-radius: 50%;
    transform: scale(0.75);
    stroke-width: 4px;
    transition: transform 0.25s ease-out;
  }
  .button-stack span:hover {
    transform: scale(0.9);
    stroke-width: 4px;
  }
}
@media (max-height: 885px) and (max-width: 850px) {
  .button-stack {
    top: 75vh;
  }
}


/* Intro */

.intro {
  display: flex;
  align-items: center;
  gap: 1.5rem;
}
.intro img {
  width: 6rem;
  aspect-ratio: 1 / 1;
  border-radius: 1rem;
  object-fit: cover;
}
.intro p {
  font-size: 1.5rem;
  font-weight: 400;
  margin-bottom: 0;
}

@media (max-width: 650px) {
  .intro {
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
  }
  .intro p {
    font-size: 1.25rem;
  }
}
@media (max-width: 500px) {
  .intro p {
    font-size: 1rem;
  }
}


/* Quotes */

.quote-section {
  position: relative;
  width: 100vw;
  background-color: var(--overlay-thick);
  overflow: hidden;

  display: flex;
  flex-direction: column;
  align-items: center;
}

.quotes {
  flex: 1;

  display: flex;
  align-items: flex-start;
  gap: 3rem;

  padding: 4rem 6rem;
}
@media (max-width: 1200px) {
  .quotes {
    padding: 4rem 2rem;
  }
}

.quote {
  flex: 1;
  max-width: 20rem;
  display: flex;
  flex-direction: column;
  align-items: center;

  text-align: center;
}
.quote p {
  font-family: "BarlegalSerif";
  font-style: italic;
  margin-bottom: 1.5rem;
}
.quote span:nth-child(2) {
  color: var(--text-secondary);
}

.quote-logo {
  height: 1.5rem;
  width: 100%;
  object-fit: contain;
  margin-top: 1.5rem;
}

.quote-section .edge {
  color: var(--background);
}

@media (max-width: 1200px) {
  .quotes > :not(:nth-child(-n+3)) {
    display: none;
  }
}
@media (max-width: 900px) {
  .quotes > :not(:nth-child(1)):not(:nth-child(2)) {
    display: none;
  }
}
@media (max-width: 700px) {
  .quote {
    display: flex !important;
  }
  .quotes div:not(:first-child)::before {
    content: "";
    width: 50%;
    border-top: 1px solid var(--text-secondary);
    margin-bottom: 2rem;
  }
  .quotes {
    flex-direction: column;
    align-items: center;
    gap: 2rem;
  
    padding: 3rem 2rem;
  }
}


/* About Me */

.about-me {
  margin: 2rem 0;
  display: flex;
  align-items: flex-end;
  gap: 1.5rem;
}

.about-me figure {
  flex-shrink: 0;
  width: 12rem;
  height: 12rem;
  border-radius: 1rem;
  overflow: hidden;

  pointer-events: none;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}
.about-me figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.about-me div{
  display: flex;
  flex-direction: column;
}
.about-me div span:nth-child(1){
  color: var(--accent);
  font-family: "BarlegalSerif";
  font-weight: bold;
}

.about-me div:nth-child(2){
  color: var(--accent-transparent);
}

@media (max-width: 700px) {
  .about-me figure {
    width: 8rem;
    height: 8rem;
  }
}
@media (max-width: 500px) {
  .about-me {
    flex-direction: column;
    align-items: flex-start;
  }
}


/* Contact */

.contact {
  color: var(--accent);
  font-family: "BarlegalSerif";
  font-style: italic;
}


/* Footer */

.footer {
  width: 100vw;

  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-right: -1rem;
  margin-top: 4rem;
  padding: 1rem 6rem;

  font-size: 0.75rem;
  letter-spacing: 0.25px;
}
.footer div {
  display: flex;
}

.footer div a {
  padding: 1rem;
  color: var(--text-secondary);
}

.footer a {
  transition: color 0.25s ease-out;
}
.footer a:hover {
  color: var(--accent);
  transition: none;
}

.footer > a {
  color: var(--text-secondary);
}

@media (max-width: 1200px) {
  .footer {
    padding: 1rem 2rem;
  }
}
@media (max-width: 600px) {
  .footer {
    flex-direction: column-reverse;
  }
}

.small-logo svg {
  width: 10rem;
  position: fixed;
  left: 3rem;
  top: 1.5rem;
  transition: color 0.4s ease-out;
}
.small-logo svg:hover {
  color: var(--accent);
  transition: none;
}
@media (max-width: 1500px) {
  .small-logo svg {
    width: 7rem;
    position: relative;
    margin: 0 auto;
    left: 0;
    color: var(--text-secondary);
  }
}